Bug 1470764 - [RFE] How to setup MaxKeepAliveRequests and KeepAliveTimeout for foreman-ssl VirtualHost (/etc/httpd/conf.d/05-foreman-ssl.d/katello.conf)
[RFE] How to setup MaxKeepAliveRequests and KeepAliveTimeout for foreman-ssl ...
Status: MODIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.2.9
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 11:19 EDT by Tapomoy Bhowmik
Modified: 2018-01-10 04:09 EST (History)
3 users (show)

See Also:
Fixed In Version: foreman-installer-1.12.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Ewoud Kohl van Wijngaarden 2017-09-26 06:11:33 EDT
Since https://github.com/theforeman/puppet-foreman/commit/0a6966ce22111b1ce592b5e215a948b3734680e7 (included in foreman-installer 1.12) there are --foreman-max-keep-aliverequests and --foreman-keepalive-timeout parameters.

There used to be an overlapping setting for MaxKeepAliveRequests in the katello module but https://github.com/Katello/puppet-katello/commit/5de2e01795aac52e84cd88dc5d57b0841de8657e removed this (included in katello-installer 3.4).

Note You need to log in before you can comment on or make changes to this bug.